Page MenuHomePhabricator

Prepare CiviCRM 4.6 upstream and Giant Rabbit branches
Closed, ResolvedPublic

Description

Hard-replace the contrib-v4.4 branch with the latest LTS release from upstream.

Cherry-pick Giant Rabbit's reporting changes over, they're currently on the giantrabbit-v4.4 branch:
http://git.wikimedia.org/commit/wikimedia%2Ffundraising%2Fcrm%2Fcivicrm.git/7c21dba263c6868c5701f99b7fac8c0f66156904

Related Objects

StatusAssignedTask
OpenNone
Resolvedmepps
ResolvedNone
Resolvedawight
ResolvedEileenmcnaughton
ResolvedNone
ResolvedEileenmcnaughton
ResolvedNone
Resolvedawight
ResolvedDStrine
ResolvedEileenmcnaughton
ResolvedEileenmcnaughton
DeclinedEileenmcnaughton
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
OpenEileenmcnaughton
ResolvedNone
Resolvedawight

Event Timeline

awight created this task.May 20 2015, 9:28 PM
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added subscribers: gerritbot, awight, atgo, Aklapper.
awight updated the task description. (Show Details)Aug 31 2015, 8:56 PM
awight set Security to None.
awight renamed this task from Prepare CiviCRM 4.4 upstream and Giant Rabbit branches to Prepare CiviCRM 4.6 upstream and Giant Rabbit branches.Sep 15 2015, 10:19 PM
awight assigned this task to Eileenmcnaughton.

Change 243872 had a related patch set uploaded (by Eileen):
Civi46 reset Navigation menu

https://gerrit.wikimedia.org/r/243872

Once the patches currently in the review queue have been merged & pulled onto staging we need to run the drupal upgrade script and review who should have the following permissions
'access all private reports’
'access own private reports'

Then it would be good to get some eyes on how the reports are looking.

I have not tested the private reports part much yet - only as administrator, but not as other users.

NB The port is not exactly the same as the Giant Rabbit patches, partly to respond to the UI being different in 4.6 and also because I want to make the port upstreaming-ready. Specifically

  • I have made the 'view mode' for a report instance something that can be selected when saving (as the core-team wasn't buying a unilateral change).
  • The chart buttons need to be discussed a bit more because the way they worked in the Giant Rabbit work didn't reflect that the chart can be combined with the print or pdf action, or that the report doesn't calculate whether it can display a chart (accurately) until the query has been run. Let's take a step back & look at the usability now & see what needs to change

Change 243872 merged by jenkins-bot:
Civi46 reset Navigation menu

https://gerrit.wikimedia.org/r/243872

A quick note on upstreaming - I would like to push to get the changes on staging into core, except for the private reports work which I think I'd prefer to take more time on. However, the work around allowing reports to be saved to open as criteria or view results output, the actions & the links off the report listing would be better to go into core sooner rather than later IMHO.

The risk of sooner is that it may make it harder to change later - but that is also a risk with later since people might develop the code or UI off in their own direction.

I'm less sure about the private reports work - but the rest seems fairly stable & clear cut - although it does need Anne to take a good look at it :-)

Yes and yes! Upstreaming ASAP is one of the most important things we can do for our future sanity, and I don't see the potential slowdown in changing it later as a loss, cos we'll have more eyes on the issue, so we get something valuable back in exchange for our increased effort.

I'm comparing the Reporting stuff on staging with the cucumber docs:
https://docs.google.com/document/d/11vGGaDovjaRlurWHcZeuQpe7VzdqoJqIAh6Xpek6KPI/edit#

Will reply here when I've gotten the review done.

Feedback about reporting below. Let me know if it's helpful to break this out into subtasks for follow up work:

  • What is "Display Options" on the Report page? If we can't get rid of it, we should at least not make it the default tab to load. Let's open "Filters" instead
  • I made a report that's mine called "Anne's test report." Someone should validate that they don't see it anywhere.
  • Making changes to a report and saving the report did not give me a popup “Save will overwrite the default criteria for the Donor Report (Summary), do you want to Save a Copy instead?” It's possible I did something wrong :)

I'm seeing your report - so I'll dig into that. I think I have a fix for the Display options - something Adam spotted in code review - so that should come through shortly

Regarding the last one - I don't think that is ported so I'll look at that too - but I feel like I need to discuss that with the core team and make sure we are implementing something they will accept for core - so I'm trying to get some input on it from Coleman

Change 247471 had a related patch set uploaded (by Eileen):
Change label from 'Save' to 'Update' on report options.

https://gerrit.wikimedia.org/r/247471

Change 247471 merged by jenkins-bot:
Change label from 'Save' to 'Update' on report options.

https://gerrit.wikimedia.org/r/247471

Eileenmcnaughton closed this task as Resolved.Nov 6 2015, 6:56 PM

Change 252476 had a related patch set uploaded (by Eileen):
Change label from 'Save' to 'Update' on report options.

https://gerrit.wikimedia.org/r/252476

Change 252476 merged by Eileen:
Change label from 'Save' to 'Update' on report options.

https://gerrit.wikimedia.org/r/252476

Change 285773 had a related patch set uploaded (by Eileen):
Change label from 'Save' to 'Update' on report options.

https://gerrit.wikimedia.org/r/285773

Change 285773 merged by Eileen:
Change label from 'Save' to 'Update' on report options.

https://gerrit.wikimedia.org/r/285773

mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM